function [ data ] = zcallback( data )
%Berechnung f?r Zeichnen

  u=get(data.ed1,'string');
  u=str2num(u);
  m=u*1.66*10^-27;
  
  T=get(data.ed2,'string');
  T=str2num(T);
  kb=1.38*10^-23;
  kbT=kb*T;
  
  
  %Berechnung charakterisitischer Geschwindigkeiten
  v_=sqrt(8*kbT/m/pi);
  v_2=sqrt(3*kbT/m);
  alpha=m/2/kbT;
  v_max=sqrt(1/alpha);
  
  vv=linspace(0,2.5*v_2,1000);
  
  %Maxwellverteilung
  sigma=sqrt(kbT/m);
  fmax=@(x) 4*pi/(sigma*sqrt(2*pi))^3*x.^2.*exp(-1/2*(x./sigma).^2);
  

  axes(data.ax1)
  set(data.pl1,'xdata',vv,'ydata',fmax(vv));
  set(data.pl1,'color','r','linewidth',2);

  hold on 
  
  set(data.pl2,'xdata',[v_,v_],'ydata',[0,max(fmax(vv))]);
  set(data.pl2,'linewidth', 2);
  set(data.pl2,'color','y');
  set(data.pl2,'Displayname','|v|');

  set(data.pl3,'xdata',[v_2,v_2],'ydata',[0,max(fmax(vv))]);
  set(data.pl3,'linewidth', 2);
  set(data.pl3,'color','m');
  set(data.pl3,'Displayname','sqrt(|v^2|)');

  set(data.pl4,'xdata',[v_max,v_max],'ydata',[0,max(fmax(vv))]);
  set(data.pl4,'linewidth', 2);
  set(data.pl4,'color','b');
  set(data.pl4,'Displayname','v_{max}');
  
  set(data.te3a,'String',num2str(v_),'color','y');
  set(data.te4a,'String',num2str(v_2),'color','m');
  set(data.te5a,'String',num2str(v_max),'color','b');
  
  tsi=15;
  data.tit=title('Maxwellverteilung');
  data.xl=xlabel('v [m/s]');
  data.yl=ylabel('w(v)');
  set(data.xl, 'fontsize', tsi);
  set(data.yl, 'fontsize', tsi);
  set(data.tit, 'fontsize', tsi+5);

  legend('show','location','best')
end

